(
	global RTModeRoll
	
	try (destroydialog RTModeRoll) catch()
	
	fn changeMode mode =
	(
		asr = renderers.activeshade
		case mode of
		(
			false : 
			(
				asr.cpu_bundleSize = 8
				asr.opencl_bundleSize =64				
				asr.opencl_raysPerPixel = asr.cpu_raysPerPixel = 1
				asr.gi_depth=asr.traceDepth = 5
				RTModeRoll.ckb1.text = "Preview Mode"
			)
			true :
			(
				asr.cpu_bundleSize = 64
				asr.opencl_bundleSize = 1024				
				asr.opencl_raysPerPixel = asr.cpu_raysPerPixel = 16
				asr.gi_depth=asr.traceDepth = 25
				RTModeRoll.ckb1.text = "High-Quality Mode"
			)
		)
	)
	
	rollout RTModeRoll "RT Mode Switcher" width:136 height:136
	(
		checkbutton 'ckb1' "Preview Mode" pos:[8,8] width:120 height:120 align:#left

		on RTModeRoll open do
		(
			changeMode ckb1.checked
		)
		on ckb1 changed state do
		(
			changeMode state
		)
	)
	
	createdialog RTModeRoll
)


